Home
last modified time | relevance | path

Searched refs:RUSTC (Results 1 – 7 of 7) sorted by relevance

/linux-6.12.1/scripts/
Drust_is_available.sh66 if ! command -v "$RUSTC" >/dev/null; then
68 echo >&2 "*** Rust compiler '$RUSTC' could not be found."
85 LC_ALL=C "$RUSTC" --version 2>/dev/null
89 echo >&2 "*** Running '$RUSTC' to check the Rust compiler version failed with"
102 echo >&2 "*** Running '$RUSTC' to check the Rust compiler version did not return"
114 echo >&2 "*** Rust compiler '$RUSTC' is too old."
253 rustc_sysroot=$("$RUSTC" $KRUSTFLAGS --print sysroot)
DKconfig.include68 rustc-version := $(shell,$(srctree)/scripts/rustc-version.sh $(RUSTC))
69 rustc-llvm-version := $(shell,$(srctree)/scripts/rustc-llvm-version.sh $(RUSTC))
77 rustc-option = $(success,trap "rm -rf .tmp_$$" EXIT; mkdir .tmp_$$; $(RUSTC) $(1) --crate-type=rlib…
DMakefile.compiler84 rustc-option = $(call __rustc-option, $(RUSTC),\
/linux-6.12.1/rust/
DMakefile43 rustc_sysroot := $(shell MAKEFLAGS= $(RUSTC) $(rust_flags) --print sysroot)
44 rustc_host_target := $(shell $(RUSTC) --version --verbose | grep -F 'host: ' | cut -d' ' -f2)
125 quiet_cmd_rustc_test_library = RUSTC TL $<
128 $(RUSTC) $(rust_common_flags) \
182 quiet_cmd_rustc_test = RUSTC T $<
185 $(RUSTC) --test $(rust_common_flags) \
348 quiet_cmd_rustc_library = $(if $(skip_clippy),RUSTC,$(RUSTC_OR_CLIPPY_QUIET)) L $@
351 $(if $(skip_clippy),$(RUSTC),$(RUSTC_OR_CLIPPY)) \
/linux-6.12.1/
DMakefile492 RUSTC = rustc macro
578 RUSTC_OR_CLIPPY_QUIET := RUSTC
579 RUSTC_OR_CLIPPY = $(RUSTC)
586 export RUSTC RUSTDOC RUSTFMT RUSTC_OR_CLIPPY_QUIET RUSTC_OR_CLIPPY BINDGEN
652 RUSTC_VERSION_TEXT = $(subst $(pound),,$(shell $(RUSTC) --version 2>/dev/null))
/linux-6.12.1/Documentation/kbuild/
Dkbuild.rst71 Additional options for $(RUSTC) when used to compile
76 Additional module specific options to use for $(RUSTC).
Dmakefiles.rst1158 $(RUSTC) compiler flags
1198 $(RUSTC) options specific for built-in
1204 Options for $(RUSTC) when building modules
1207 are used for $(RUSTC).